GNU bug report logs - #16479
24.3.50; daemon freeze with tty menus

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mark Oteiza <mvoteiza@HIDDEN>; dated Fri, 17 Jan 2014 09:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 2 Feb 2014 01:27:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 01 20:27:26 2014
Received: from localhost ([127.0.0.1]:45528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W9lqH-0000LR-QO
	for submit <at> debbugs.gnu.org; Sat, 01 Feb 2014 20:27:25 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:26651)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W9lqF-0000LH-Dq
 for 16479 <at> debbugs.gnu.org; Sat, 01 Feb 2014 20:27:24 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFHO+J67/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IPAS-Result: Av8EABK/CFHO+J67/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="46591355"
Received: from 206-248-158-187.dsl.teksavvy.com (HELO pastel.home)
 ([206.248.158.187])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 01 Feb 2014 20:27:21 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 5F2A660102; Sat,  1 Feb 2014 20:27:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvfvo2wbl2.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
 <83bnyzbdry.fsf@HIDDEN> <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
 <837g9mbtl9.fsf@HIDDEN> <jwvfvoai3v1.fsf-monnier+emacsbugs@HIDDEN>
 <8361oz5ft9.fsf@HIDDEN>
Date: Sat, 01 Feb 2014 20:27:19 -0500
In-Reply-To: <8361oz5ft9.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 01 Feb
 2014 11:43:14 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> One problem will bite us along the way: keyboards are not visible as
>> Lisp_Object objects.  You'll have to store in `where' the terminal
>> object instead.
> Will such changes be acceptable during the feature freeze?

Using the `where' slot for these variables can definitely be fixed now.
We don't want new features, but we do want bug-fixes.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 1 Feb 2014 09:43:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 01 04:43:36 2014
Received: from localhost ([127.0.0.1]:43953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W9X6u-0005RE-6g
	for submit <at> debbugs.gnu.org; Sat, 01 Feb 2014 04:43:36 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:58334)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W9X6q-0005R1-Gd
 for 16479 <at> debbugs.gnu.org; Sat, 01 Feb 2014 04:43:33 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N0B00000991LB00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Sat, 01 Feb 2014 11:43:31 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0B000C89OILZ10@HIDDEN>;
 Sat, 01 Feb 2014 11:43:31 +0200 (IST)
Date: Sat, 01 Feb 2014 11:43:14 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvfvoai3v1.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <8361oz5ft9.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
 <83bnyzbdry.fsf@HIDDEN> <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
 <837g9mbtl9.fsf@HIDDEN> <jwvfvoai3v1.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Sun, 26 Jan 2014 21:07:20 -0500
> 
> In specbind we need to add special handling for "per-keyboard variables"
> by setting the `where' slot to hold the corresponding keyboard.
> And then in all the places where the `where' slot is used, adjust the
> code to handle the case where it holds a keyboard rather than a buffer
> (or a frame).
> 
> One problem will bite us along the way: keyboards are not visible as
> Lisp_Object objects.  You'll have to store in `where' the terminal
> object instead.

Will such changes be acceptable during the feature freeze?  Or should
I wait until after the branch?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 27 Jan 2014 02:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 21:07:23 2014
Received: from localhost ([127.0.0.1]:37073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7bbf-0005Km-7x
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2014 21:07:23 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:1195)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W7bbd-0005Kc-4h
 for 16479 <at> debbugs.gnu.org; Sun, 26 Jan 2014 21:07:21 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFsoXJr/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDiGGcGYFegxU
X-IPAS-Result: Av8EABK/CFFsoXJr/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="46125656"
Received: from 108-161-114-107.dsl.teksavvy.com (HELO pastel.home)
 ([108.161.114.107])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 26 Jan 2014 21:07:20 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 6A22760286; Sun, 26 Jan 2014 21:07:20 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvfvoai3v1.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
 <83bnyzbdry.fsf@HIDDEN> <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
 <837g9mbtl9.fsf@HIDDEN>
Date: Sun, 26 Jan 2014 21:07:20 -0500
In-Reply-To: <837g9mbtl9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 26 Jan
 2014 18:23:14 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> >> do that same thing for terminal-local bindings.
>> > Could this be related to the fact that Voverriding_terminal_local_map
>> > is a per-keyboard variable?
>> Right: "terminal-local" == "per-keyboard".
> Any guidance as to how to solve this?

In specbind we need to add special handling for "per-keyboard variables"
by setting the `where' slot to hold the corresponding keyboard.
And then in all the places where the `where' slot is used, adjust the
code to handle the case where it holds a keyboard rather than a buffer
(or a frame).

One problem will bite us along the way: keyboards are not visible as
Lisp_Object objects.  You'll have to store in `where' the terminal
object instead.

The distinction between keyboards and terminals is subtle.  In 99.9% of
the cases, there's a one-to-one correspondence between the two, the 0.1%
remaining is when you have an X server with 2 "screens" (this is
"screen" in the X11 sense, i.e. one has name ":0.0" and the other
":0.1"), in which case we will have two terminals for a single keyboard.

So storing the terminal instead of the keyword is correct in 99.9% of
the cases.  And to tell you the truth, this subtlety is much too subtle
for us, so we have such "errors" in many other places.  As I mentioned in
the past in some other thread, we should simply get rid of this subtlety,
i.e. get rid of the distinction between terminals and keyboards.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 26 Jan 2014 16:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 11:23:31 2014
Received: from localhost ([127.0.0.1]:36746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7SUc-0002a8-5q
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2014 11:23:30 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:36561)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W7SUX-0002Zu-Up
 for 16479 <at> debbugs.gnu.org; Sun, 26 Jan 2014 11:23:27 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0N0000700NXH7300@HIDDEN> for
 16479 <at> debbugs.gnu.org; Sun, 26 Jan 2014 18:23:04 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0000N6VO6GV490@HIDDEN>; Sun, 26 Jan 2014 18:23:04 +0200 (IST)
Date: Sun, 26 Jan 2014 18:23:14 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <837g9mbtl9.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
 <83bnyzbdry.fsf@HIDDEN> <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Sun, 26 Jan 2014 01:17:12 -0500
> 
> >> do that same thing for terminal-local bindings.
> > Could this be related to the fact that Voverriding_terminal_local_map
> > is a per-keyboard variable?
> 
> Right: "terminal-local" == "per-keyboard".

Any guidance as to how to solve this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 26 Jan 2014 06:17:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 01:17:24 2014
Received: from localhost ([127.0.0.1]:36068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7J24-0002Jp-1S
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2014 01:17:24 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:12658)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W7J1w-0002Jb-QO
 for 16479 <at> debbugs.gnu.org; Sun, 26 Jan 2014 01:17:21 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCpcb/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IPAS-Result: Av8EABK/CFFMCpcb/2dsb2JhbABEuzWDWRdzgh4BAQQBViMQCzQSFBgNJIgeBsEtkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="46092799"
Received: from 76-10-151-27.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.151.27])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 26 Jan 2014 01:17:14 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id F24F860286; Sun, 26 Jan 2014 01:17:12 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwv8uu3l12k.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
 <83bnyzbdry.fsf@HIDDEN>
Date: Sun, 26 Jan 2014 01:17:12 -0500
In-Reply-To: <83bnyzbdry.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 26 Jan
 2014 05:52:33 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> do that same thing for terminal-local bindings.
> Could this be related to the fact that Voverriding_terminal_local_map
> is a per-keyboard variable?

Right: "terminal-local" == "per-keyboard".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 26 Jan 2014 03:52:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 22:52:48 2014
Received: from localhost ([127.0.0.1]:36042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7Gm8-00071q-Hb
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 22:52:48 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:52407)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W7Gm6-00071h-27
 for 16479 <at> debbugs.gnu.org; Sat, 25 Jan 2014 22:52:47 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MZZ00800OTKSY00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Sun, 26 Jan 2014 05:52:44 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZZ008W8PFWL580@HIDDEN>;
 Sun, 26 Jan 2014 05:52:44 +0200 (IST)
Date: Sun, 26 Jan 2014 05:52:33 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83bnyzbdry.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN> <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Sat, 25 Jan 2014 17:39:16 -0500
> 
> >   emacsclient -t
> > This pops down the menu, but the value of
> > overriding-terminal-local-map in the original frame is not restored,
> > so, for example, any cursor motion command signals an error because it
> > tries to invoke tty-menu commands.
> > What am I not doing correctly here?  TIA.
> 
> Maybe there's a bug in our handling of let-binding w.r.t terminal-local
> variables (i.e. the unbind of overriding-terminal-local-map ands up
> resetting that variable in the new terminal rather than in the terminal
> where the specbind was done).
> 
> I can't remember seeing code to handle that when I last touched the
> let-binding code, so it sounds very likely: we try and handle
> buffer-local and frame-local correctly (by remembering where the
> binding was installed a de-install it at the right place) but we don't
> do that same thing for terminal-local bindings.

Could this be related to the fact that Voverriding_terminal_local_map
is a per-keyboard variable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 25 Jan 2014 22:39:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 17:39:20 2014
Received: from localhost ([127.0.0.1]:35967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7Bsl-000613-OD
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 17:39:19 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:7214)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W7Bsk-00060u-1m
 for 16479 <at> debbugs.gnu.org; Sat, 25 Jan 2014 17:39:18 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFFpZOU/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFFFpZOU/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="46073423"
Received: from 69-165-147-148.dsl.teksavvy.com (HELO pastel.home)
 ([69.165.147.148])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 25 Jan 2014 17:39:16 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id AE81360B30; Sat, 25 Jan 2014 17:39:16 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvtxcrlmfa.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
 <83a9ekcrg2.fsf@HIDDEN>
Date: Sat, 25 Jan 2014 17:39:16 -0500
In-Reply-To: <83a9ekcrg2.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Jan
 2014 11:59:41 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>   emacsclient -t
> This pops down the menu, but the value of
> overriding-terminal-local-map in the original frame is not restored,
> so, for example, any cursor motion command signals an error because it
> tries to invoke tty-menu commands.
> What am I not doing correctly here?  TIA.

Maybe there's a bug in our handling of let-binding w.r.t terminal-local
variables (i.e. the unbind of overriding-terminal-local-map ands up
resetting that variable in the new terminal rather than in the terminal
where the specbind was done).

I can't remember seeing code to handle that when I last touched the
let-binding code, so it sounds very likely: we try and handle
buffer-local and frame-local correctly (by remembering where the
binding was installed a de-install it at the right place) but we don't
do that same thing for terminal-local bindings.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 25 Jan 2014 10:00:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 05:00:01 2014
Received: from localhost ([127.0.0.1]:35087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W701v-0002FC-Ri
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 05:00:00 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:62979)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W701s-0002Ez-JN
 for 16479 <at> debbugs.gnu.org; Sat, 25 Jan 2014 04:59:57 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MZY00100B4XQS00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Sat, 25 Jan 2014 11:59:54 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZY001VWBRUTS00@HIDDEN>;
 Sat, 25 Jan 2014 11:59:54 +0200 (IST)
Date: Sat, 25 Jan 2014 11:59:41 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <83vbxegxps.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: monnier@HIDDEN
Message-id: <83a9ekcrg2.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN> <83vbxegxps.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 20 Jan 2014 23:17:03 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
> 
> > From: Stefan Monnier <monnier@HIDDEN>
> > Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> > Date: Mon, 20 Jan 2014 15:28:42 -0500
> > 
> > >> Whatever we do, we should do it whether or not a tty menu is displayed.
> > >> Switching frame inside a process filter is nasty but allowed.  So:
> > >> - server.el should probably only change the selected frame temporarily and
> > >> revert it before returning from the process filter.
> > > But I think server.el does this on purpose: if it didn't switch to the
> > > new frame, you couldn't start typing into it after invoking
> > > emacsclient, even when there's no menu displayed.  Wouldn't that be
> > > confusing?
> > 
> > I'm not sure it's the case.  The reason is that you're talking about
> > a change of focus whereas the code changed the selected frame.  The two
> > are related but the relation is very murky.
> > 
> > > Does the fact that you type into one frame and get response in another
> > > count as "a bit strangely"?
> > 
> > Yes.
> 
> OK, then I know what to do.  Thanks.

Or maybe not.  I did what I thought was needed (see bzr r116153), but
there's still a problem with restoring the original value of
overriding-terminal-local-map after popping down the menu.  E.g., in
this scenario:

  emacs -Q -nw
  M-x server-start
  F10

then in another terminal:

  emacsclient -t

This pops down the menu, but the value of
overriding-terminal-local-map in the original frame is not restored,
so, for example, any cursor motion command signals an error because it
tries to invoke tty-menu commands.

What am I not doing correctly here?  TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 20 Jan 2014 21:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 16:16:59 2014
Received: from localhost ([127.0.0.1]:58759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W5MDL-0008Ub-AM
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2014 16:16:59 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:65509)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W5MDI-0008UN-BK
 for 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 16:16:57 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MZP00B00XP52C00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Mon, 20 Jan 2014 23:16:54 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZP00BO7XS62800@HIDDEN>;
 Mon, 20 Jan 2014 23:16:54 +0200 (IST)
Date: Mon, 20 Jan 2014 23:17:03 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83vbxegxps.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
 <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Mon, 20 Jan 2014 15:28:42 -0500
> 
> >> Whatever we do, we should do it whether or not a tty menu is displayed.
> >> Switching frame inside a process filter is nasty but allowed.  So:
> >> - server.el should probably only change the selected frame temporarily and
> >> revert it before returning from the process filter.
> > But I think server.el does this on purpose: if it didn't switch to the
> > new frame, you couldn't start typing into it after invoking
> > emacsclient, even when there's no menu displayed.  Wouldn't that be
> > confusing?
> 
> I'm not sure it's the case.  The reason is that you're talking about
> a change of focus whereas the code changed the selected frame.  The two
> are related but the relation is very murky.
> 
> > Does the fact that you type into one frame and get response in another
> > count as "a bit strangely"?
> 
> Yes.

OK, then I know what to do.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 20 Jan 2014 20:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 15:28:45 2014
Received: from localhost ([127.0.0.1]:58746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W5LSe-0007Ab-FH
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2014 15:28:44 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:33198)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W5LSd-0007AS-68
 for 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 15:28:43 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFsoXIQ/2dsb2JhbABEuzWDWRdzgh4BAQQBVhwHBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFYFIJA
X-IPAS-Result: Av8EABK/CFFsoXIQ/2dsb2JhbABEuzWDWRdzgh4BAQQBVhwHBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFYFIJA
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="45426262"
Received: from 108-161-114-16.dsl.teksavvy.com (HELO pastel.home)
 ([108.161.114.16])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 20 Jan 2014 15:28:42 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 8016F60587; Mon, 20 Jan 2014 15:28:42 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvmwiq5rij.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN> <83y52ah2f9.fsf@HIDDEN>
Date: Mon, 20 Jan 2014 15:28:42 -0500
In-Reply-To: <83y52ah2f9.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Jan
 2014 21:35:22 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> Whatever we do, we should do it whether or not a tty menu is displayed.
>> Switching frame inside a process filter is nasty but allowed.  So:
>> - server.el should probably only change the selected frame temporarily and
>> revert it before returning from the process filter.
> But I think server.el does this on purpose: if it didn't switch to the
> new frame, you couldn't start typing into it after invoking
> emacsclient, even when there's no menu displayed.  Wouldn't that be
> confusing?

I'm not sure it's the case.  The reason is that you're talking about
a change of focus whereas the code changed the selected frame.  The two
are related but the relation is very murky.

> Does the fact that you type into one frame and get response in another
> count as "a bit strangely"?

Yes.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 20 Jan 2014 19:35:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 14:35:22 2014
Received: from localhost ([127.0.0.1]:58722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W5Kcy-0005dO-CY
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2014 14:35:21 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:48590)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W5Kct-0005d8-BN
 for 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 14:35:16 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0MZP00L00SYJAX00@HIDDEN> for
 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 21:36:22 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZP00JHGT4M3J30@HIDDEN>; Mon, 20 Jan 2014 21:36:22 +0200 (IST)
Date: Mon, 20 Jan 2014 21:35:22 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83y52ah2f9.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
 <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Mon, 20 Jan 2014 13:27:00 -0500
> 
> > I'm unsure how best to handle this mess.  Maybe avoid selecting the
> > new frame in server-create-tty-frame, if a TTY menu is currently being
> > displayed?
> 
> Whatever we do, we should do it whether or not a tty menu is displayed.
> Switching frame inside a process filter is nasty but allowed.  So:
> - server.el should probably only change the selected frame temporarily and
>   revert it before returning from the process filter.

But I think server.el does this on purpose: if it didn't switch to the
new frame, you couldn't start typing into it after invoking
emacsclient, even when there's no menu displayed.  Wouldn't that be
confusing?

> - tty menus need to make sure they don't crash if a process filter
>   changes the selected frame.

That is easy.

>   But I think it's OK if they behave a bit strangely in that case.

Does the fact that you type into one frame and get response in another
count as "a bit strangely"?  Then we don't need to do anything except
to add some simple detection of the frame switch, see below.

>   IIUC with your recent change it doesn't crash any more, so it
>   might be good enough on this side.

The crash happened because the frame switch went unnoticed, and we
tried to use face IDs from one frame on another.  This no longer
happens, and I will add a simple code that will quit the menu when it
sees a frame switch.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 20 Jan 2014 18:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 13:27:04 2014
Received: from localhost ([127.0.0.1]:58682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W5JYt-0003R5-6V
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2014 13:27:04 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:32440)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W5JYr-0003Qe-Mp
 for 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 13:27:02 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFsoXIQ/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMVgUgk
X-IPAS-Result: Av8EABK/CFFsoXIQ/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMVgUgk
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="45410521"
Received: from 108-161-114-16.dsl.teksavvy.com (HELO pastel.home)
 ([108.161.114.16])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 20 Jan 2014 13:27:01 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 032A96012D; Mon, 20 Jan 2014 13:27:00 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvob367bt3.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN> <8361peilxe.fsf@HIDDEN>
Date: Mon, 20 Jan 2014 13:27:00 -0500
In-Reply-To: <8361peilxe.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Jan
 2014 19:48:45 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I'm unsure how best to handle this mess.  Maybe avoid selecting the
> new frame in server-create-tty-frame, if a TTY menu is currently being
> displayed?

Whatever we do, we should do it whether or not a tty menu is displayed.
Switching frame inside a process filter is nasty but allowed.  So:
- server.el should probably only change the selected frame temporarily and
  revert it before returning from the process filter.
- tty menus need to make sure they don't crash if a process filter
  changes the selected frame.  But I think it's OK if they behave a bit
  strangely in that case.  IIUC with your recent change it doesn't crash
  any more, so it might be good enough on this side.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 20 Jan 2014 17:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 12:48:43 2014
Received: from localhost ([127.0.0.1]:58610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W5Ixn-0001dk-1r
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2014 12:48:43 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:57872)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W5Ixj-0001dU-IY
 for 16479 <at> debbugs.gnu.org; Mon, 20 Jan 2014 12:48:41 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MZP00900O31IP00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Mon, 20 Jan 2014 19:48:37 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZP00919O51HN20@HIDDEN>;
 Mon, 20 Jan 2014 19:48:37 +0200 (IST)
Date: Mon, 20 Jan 2014 19:48:45 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <834n52l9qh.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: monnier@HIDDEN
Message-id: <8361peilxe.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
 <834n52l9qh.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 17 Jan 2014 20:54:46 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
> 
> > From: Stefan Monnier <monnier@HIDDEN>
> > Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> > Date: Fri, 17 Jan 2014 11:16:26 -0500
> > 
> > So, ideally (recursion-depth) should be >0 when inside the tty menus,
> > and calling (top-level) should get us out of that tty menu.
> 
> I'll see what I can do.  Thanks.

I think I see the root cause.  It's in server-create-tty-frame, which
does:

    (set-frame-parameter frame 'display
                         (getenv-internal "DISPLAY" (process-get proc 'env)))
    (select-frame frame)

IOW, it switches to the newly created TTY frame from under the feet of
the menu input loop.  When read_menu_command returns, the selected
frame is different from what it was when the function was called.

It is easy enough to detect the frame switch, but the question is:
what to do when that happens?

This is complicated by the fact that the frame switch event is not
returned until some other event takes place.  Thus, while the new
frame is already selected, the old frame still has focus, until you
type something.  So to exit the vicious circle, you need to type
something into the old frame (which causes the new frame to react),
then switch to the new frame, and only then you are out of the woods.

I'm unsure how best to handle this mess.  Maybe avoid selecting the
new frame in server-create-tty-frame, if a TTY menu is currently being
displayed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 18:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 13:54:53 2014
Received: from localhost ([127.0.0.1]:55504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4EZA-0008Dk-LA
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 13:54:52 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:46314)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W4EZ6-0008DV-T9
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 13:54:50 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MZK00I0075TK400@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Fri, 17 Jan 2014 20:54:46 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZK00IZ177AAH70@HIDDEN>;
 Fri, 17 Jan 2014 20:54:46 +0200 (IST)
Date: Fri, 17 Jan 2014 20:54:46 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <834n52l9qh.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN> <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Fri, 17 Jan 2014 11:16:26 -0500
> 
> So, ideally (recursion-depth) should be >0 when inside the tty menus,
> and calling (top-level) should get us out of that tty menu.

I'll see what I can do.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 16:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 11:16:29 2014
Received: from localhost ([127.0.0.1]:55412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4C5s-0003ka-W9
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 11:16:29 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:27062)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W4C5r-0003kS-33
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 11:16:27 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="45193291"
Received: from 76-10-140-163.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.140.163])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 17 Jan 2014 11:16:26 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 14C3F6009C; Fri, 17 Jan 2014 11:16:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvppnqio34.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
 <838uueljdv.fsf@HIDDEN>
Date: Fri, 17 Jan 2014 11:16:26 -0500
In-Reply-To: <838uueljdv.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2014 17:26:20 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Why does the connection attempt from the second client accepted when
> we switch to a single keyboard?  I expected it to be rejected.

I don't think we have a mechanism to reject it (and usually it wouldn't
be the right thing to do either, because in most cases there's only
a single physical user behind the two connections, so the most recent
one is the one she cares about right now).

Instead, emacsclient does:

  (when (> (recursion-depth) 0)
    ;; We're inside a minibuffer already, so if the emacs-client is trying
    ;; to open a frame on a new display, we might end up with an unusable
    ;; frame because input from that display will be blocked (until exiting
    ;; the minibuffer).  Better exit this minibuffer right away.
    ;; Similarly with recursive-edits such as the splash screen.
    (run-with-timer 0 nil (lambda () (server-execute-continuation proc)))
    (top-level)))

So, ideally (recursion-depth) should be >0 when inside the tty menus,
and calling (top-level) should get us out of that tty menu.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 15:26:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 10:26:29 2014
Received: from localhost ([127.0.0.1]:55390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4BJV-0001Dn-2X
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 10:26:29 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:49400)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W4BJP-0001DW-I8
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 10:26:24 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0MZJ00300XAB7B00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Fri, 17 Jan 2014 17:26:21 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZJ003OPXJX33A0@HIDDEN>;
 Fri, 17 Jan 2014 17:26:21 +0200 (IST)
Date: Fri, 17 Jan 2014 17:26:20 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <838uueljdv.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN> <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: mvoteiza@HIDDEN,  16479 <at> debbugs.gnu.org
> Date: Fri, 17 Jan 2014 09:55:13 -0500
> 
> > I tried to fix this in trunk revision 116053.
> 
> That looks correct, thank you.

Beginner's luck.

> > It is still not ideal (but what _is_ the ideal in this case?): the
> > open menu pops down, and you need to type C-g in the client where the
> > menu was open to get out, but at least the daemon doesn't segfault.
> 
> Hmm... connecting with another emacsclient causes the menu to pop down,
> but you still have to additionally hit C-g to "really get out"?
> That's weird.

Somehow Emacs still thinks it's inside the menu (it displays the help
echo in the echo area).  I guess something is missing somewhere, or
maybe some global variable is not reset as it should.

Why does the connection attempt from the second client accepted when
we switch to a single keyboard?  I expected it to be rejected.  What
am I missing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 14:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 09:55:18 2014
Received: from localhost ([127.0.0.1]:54677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4ApJ-0000Eq-Qj
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 09:55:18 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:48063)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W4ApG-0000Eh-Da
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 09:55:14 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="45184760"
Received: from 76-10-140-163.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.140.163])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 17 Jan 2014 09:55:13 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 940AC6019C; Fri, 17 Jan 2014 09:55:13 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
Message-ID: <jwvsismk6ef.fsf-monnier+emacsbugs@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
 <83eh46lsy5.fsf@HIDDEN>
Date: Fri, 17 Jan 2014 09:55:13 -0500
In-Reply-To: <83eh46lsy5.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2014 13:59:46 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16479
Cc: mvoteiza@HIDDEN, 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I tried to fix this in trunk revision 116053.

That looks correct, thank you.

> It is still not ideal (but what _is_ the ideal in this case?): the
> open menu pops down, and you need to type C-g in the client where the
> menu was open to get out, but at least the daemon doesn't segfault.

Hmm... connecting with another emacsclient causes the menu to pop down,
but you still have to additionally hit C-g to "really get out"?
That's weird.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 11:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 06:59:55 2014
Received: from localhost ([127.0.0.1]:54511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W485b-0001Vy-5j
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 06:59:55 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:40169)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W485Y-0001Vo-MU
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 06:59:54 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MZJ00500NXSTH00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Fri, 17 Jan 2014 13:59:50 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZJ005J8NZNHV80@HIDDEN>;
 Fri, 17 Jan 2014 13:59:47 +0200 (IST)
Date: Fri, 17 Jan 2014 13:59:46 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <83fvomlv7w.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: mvoteiza@HIDDEN, Stefan Monnier <monnier@HIDDEN>
Message-id: <83eh46lsy5.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN> <83fvomlv7w.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 17 Jan 2014 13:10:43 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 16479 <at> debbugs.gnu.org
> 
> > With menu-bar-mode (and thus the new tty menus) enabled, if I do the
> > steps I outlined above, I expect to be able to return to the previous
> > client and finish input.  This is not the case: if I go back to the
> > first client with the menu, and try an arrow key or C-{npbf}, emacs
> > crashes.  I think this is a bug.
> 
> A crash is always a bug.
> 
> I understand that you are talking about the situation where the menu
> is already open on one client, and then you start another client.
> 
> If so, this seems to have something to do with the fact that starting
> a client writes something to the terminal (to query the terminal about
> its features).

I tried to fix this in trunk revision 116053.  It is still not ideal
(but what _is_ the ideal in this case?): the open menu pops down, and
you need to type C-g in the client where the menu was open to get out,
but at least the daemon doesn't segfault.

Stefan, can you suggest a better solution?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 11:10:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 06:10:49 2014
Received: from localhost ([127.0.0.1]:54487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W47K4-0007Q9-D2
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 06:10:48 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:56971)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W47K1-0007Pz-U1
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 06:10:46 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MZJ00G00LPL0Z00@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Fri, 17 Jan 2014 13:10:44 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZJ00GC4LPV0M10@HIDDEN>;
 Fri, 17 Jan 2014 13:10:44 +0200 (IST)
Date: Fri, 17 Jan 2014 13:10:43 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <87eh4652o0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Mark Oteiza <mvoteiza@HIDDEN>
Message-id: <83fvomlv7w.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
 <87eh4652o0.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Mark Oteiza <mvoteiza@HIDDEN>
> Date: Fri, 17 Jan 2014 05:21:51 -0500
> 
> > It's not frozen, it waits for you to finish the menu input.  The same
> > happens if you type, e.g., "C-x" in one client and then switch to the
> > other: it will be unresponsive until you finish typing the command in
> > the first one.
> >
> > Emacs reads only from one keyboard at a time.
> >
> > This is not a bug, but a well-known limitation of multi-tty input in
> > Emacs.
> 
> Ok.  I understand that emacs has to wait for input.  With menu-bar-mode
> disabled, I can open a menu in client A with F10, open another client B
> somewhere else, return to client A and do whatever with the menu.
> 
> With menu-bar-mode (and thus the new tty menus) enabled, if I do the
> steps I outlined above, I expect to be able to return to the previous
> client and finish input.  This is not the case: if I go back to the
> first client with the menu, and try an arrow key or C-{npbf}, emacs
> crashes.  I think this is a bug.

A crash is always a bug.

I understand that you are talking about the situation where the menu
is already open on one client, and then you start another client.

If so, this seems to have something to do with the fact that starting
a client writes something to the terminal (to query the terminal about
its features).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jan 2014 10:20:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 05:20:53 2014
Received: from localhost ([127.0.0.1]:54459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W46Xk-00061U-T1
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 05:20:53 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59282)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46Xi-00061M-41
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 05:20:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46Xc-00060K-2r
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 05:20:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45948)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46Xb-00060G-Vj
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 05:20:43 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60994)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46XW-0007jY-NO
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 05:20:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46XR-0005z4-Ba
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 05:20:38 -0500
Received: from mail-qc0-f169.google.com ([209.85.216.169]:52926)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W46XQ-0005yX-TB
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 05:20:33 -0500
Received: by mail-qc0-f169.google.com with SMTP id w7so3453444qcr.14
 for <bug-gnu-emacs@HIDDEN>; Fri, 17 Jan 2014 02:20:32 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=+80mEk5Ylh88jD7NHFKiWoFfxwRXIqwpU4mGhIkrXHQ=;
 b=Mz1gJACrvdFmvMeVIG65VS/6iO9qu/YX5KhZa4Ohyjrw1H1hdI1aDFneYCoZNDkdK6
 RfNWaOn9bMZghf7lHt540v8DU5V/GENRC/mFRZqaha5JHF1njwZiEUG8/zhAd0n84xGc
 gatMb8RyTuz6igU8pCIfhvGET0jBfH1mDd5r+Mrud+hX3ZRvmx+XY0Lub/Di/bwZg9rq
 gFm9IJ5ykN6Nolb7vnJn7LUiec/PwwZYYcWaXR6QY1rQdL9dxIgfPXcQPpswjpSsQbAl
 kvWIwZfVFMZJv/Sh1t2vAN4N/aa66RfSr1KMcbW5/YrgCyTl7GhrEpzwxchbHAFdfJTB
 0dDA==
X-Gm-Message-State: ALoCoQn4g8ATL+8mDTCZ6igvelH+sYnUBKa8WrgMwhHFCAYrrcKANUHxNCxaORIREzWD0N1C650q
X-Received: by 10.224.68.70 with SMTP id u6mr1588976qai.5.1389954032498;
 Fri, 17 Jan 2014 02:20:32 -0800 (PST)
Received: from holos.localdomain (c-68-55-201-85.hsd1.md.comcast.net.
 [68.55.201.85])
 by mx.google.com with ESMTPSA id f5sm13750115qas.11.2014.01.17.02.20.31
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 17 Jan 2014 02:20:32 -0800 (PST)
From: Mark Oteiza <mvoteiza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
References: <87y52fgd5g.fsf@HIDDEN> <83ha93kk5m.fsf@HIDDEN>
Date: Fri, 17 Jan 2014 05:21:51 -0500
In-Reply-To: <83ha93kk5m.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2014 11:55:01 +0200")
Message-ID: <87eh4652o0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Mark Oteiza <mvoteiza@HIDDEN>
>> Date: Fri, 17 Jan 2014 04:39:55 -0500
>> 
>> 
>> >From emacs --daemon -Q:
>> 
>> $ emacsclient -t
>> M-x menu-bar-mode RET <F10>
>> 
>> At this point, the daemon is started, and a client is open with a tty
>> menu selected.  Leaving the first client alone, open a new one
>> 
>> $ emacsclient -t
>> 
>> Now emacs is frozen.
>
> It's not frozen, it waits for you to finish the menu input.  The same
> happens if you type, e.g., "C-x" in one client and then switch to the
> other: it will be unresponsive until you finish typing the command in
> the first one.
>
> Emacs reads only from one keyboard at a time.
>
> This is not a bug, but a well-known limitation of multi-tty input in
> Emacs.

Ok.  I understand that emacs has to wait for input.  With menu-bar-mode
disabled, I can open a menu in client A with F10, open another client B
somewhere else, return to client A and do whatever with the menu.

With menu-bar-mode (and thus the new tty menus) enabled, if I do the
steps I outlined above, I expect to be able to return to the previous
client and finish input.  This is not the case: if I go back to the
first client with the menu, and try an arrow key or C-{npbf}, emacs
crashes.  I think this is a bug.

I realize I failed to communicate the problem in my first email.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at 16479 <at> debbugs.gnu.org:


Received: (at 16479) by debbugs.gnu.org; 17 Jan 2014 09:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 04:55:08 2014
Received: from localhost ([127.0.0.1]:54445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W468q-0005Kh-E9
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:55:08 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:42437)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1W468n-0005KW-Ma
 for 16479 <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:55:07 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MZJ00E00HWLR600@HIDDEN> for 16479 <at> debbugs.gnu.org;
 Fri, 17 Jan 2014 11:55:03 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MZJ00EP6I7QG7A0@HIDDEN>;
 Fri, 17 Jan 2014 11:55:03 +0200 (IST)
Date: Fri, 17 Jan 2014 11:55:01 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16479: 24.3.50; daemon freeze with tty menus
In-reply-to: <87y52fgd5g.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Mark Oteiza <mvoteiza@HIDDEN>
Message-id: <83ha93kk5m.fsf@HIDDEN>
References: <87y52fgd5g.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16479
Cc: 16479 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Mark Oteiza <mvoteiza@HIDDEN>
> Date: Fri, 17 Jan 2014 04:39:55 -0500
> 
> 
> >From emacs --daemon -Q:
> 
> $ emacsclient -t
> M-x menu-bar-mode RET <F10>
> 
> At this point, the daemon is started, and a client is open with a tty
> menu selected.  Leaving the first client alone, open a new one
> 
> $ emacsclient -t
> 
> Now emacs is frozen.

It's not frozen, it waits for you to finish the menu input.  The same
happens if you type, e.g., "C-x" in one client and then switch to the
other: it will be unresponsive until you finish typing the command in
the first one.

Emacs reads only from one keyboard at a time.

This is not a bug, but a well-known limitation of multi-tty input in
Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jan 2014 09:39:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 04:39:10 2014
Received: from localhost ([127.0.0.1]:54432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W45tN-0004sy-DW
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:39:10 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51494)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45tI-0004sm-VS
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:39:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45t9-0002GN-A9
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:39:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47828)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45t9-0002GJ-6V
 for submit <at> debbugs.gnu.org; Fri, 17 Jan 2014 04:38:55 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53168)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45t1-0006dr-J8
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 04:38:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45sr-0002EQ-3k
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 04:38:47 -0500
Received: from mail-qa0-f49.google.com ([209.85.216.49]:46135)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mvoteiza@HIDDEN>) id 1W45sq-0002EM-V2
 for bug-gnu-emacs@HIDDEN; Fri, 17 Jan 2014 04:38:37 -0500
Received: by mail-qa0-f49.google.com with SMTP id w8so3045243qac.22
 for <bug-gnu-emacs@HIDDEN>; Fri, 17 Jan 2014 01:38:36 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-type;
 bh=0OROiF83sjxuQKmHWrOr2h+14pLtlQaX5NWbzZc1mKw=;
 b=XG58CuAng0P8hUdxMWw4prJHH0CLLH1Ec2SO9m1dGMNqlO8IyVTlRcLUewksY3v4V+
 Kzu7Pd3abdKA/LomfnCAdp1ocDSPNeA3T2orfuiyhhOnuPlN1VLS/rR4lONdW1I+Dvhq
 1afLxWr2BdHd6lg+QBpnVGUzz+obbkfEXqm0Sor3BVcEs6zIDIZ7tTpr5GpTk/VkjDZQ
 cuurW+77I0v1mXvK5pvi9jL+bZJPJwCGTRPTU2He2h9Q5HUSwHR5rj0k53E7QADC0IOe
 fbnkzi5Oo747hzqsMa/WFmrcJR3hiNYx1W/GOZ2HqwtRigWR5JFkSgmqDsWjIjzEhy6T
 QPVw==
X-Gm-Message-State: ALoCoQkQ2xkl50/nUZ5rcZ/H42KbLCi309Y9KQyfh+ODNSrJfv3VP3GZ/zeQwXR0JlNy70GAMxYI
X-Received: by 10.224.127.131 with SMTP id g3mr1340887qas.98.1389951516315;
 Fri, 17 Jan 2014 01:38:36 -0800 (PST)
Received: from holos.localdomain (c-68-55-201-85.hsd1.md.comcast.net.
 [68.55.201.85])
 by mx.google.com with ESMTPSA id u4sm13667111qai.21.2014.01.17.01.38.35
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 17 Jan 2014 01:38:35 -0800 (PST)
From: Mark Oteiza <mvoteiza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; daemon freeze with tty menus
Date: Fri, 17 Jan 2014 04:39:55 -0500
Message-ID: <87y52fgd5g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


From emacs --daemon -Q:

$ emacsclient -t
M-x menu-bar-mode RET <F10>

At this point, the daemon is started, and a client is open with a tty
menu selected.  Leaving the first client alone, open a new one

$ emacsclient -t

Now emacs is frozen.  Here is the tail of a strace attached to the
daemon, which I helped crash by closing one of the clients.

04:10:03 open("/usr/share/emacs/24.3.50/lisp/obsolete/term/screen-256color.gz", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
04:10:03 open("/usr/share/emacs/24.3.50/lisp/term/screen.elc", O_RDONLY|O_CLOEXEC) = 15
04:10:03 fstat(15, {st_mode=S_IFREG|0644, st_size=616, ...}) = 0
04:10:03 close(15)                      = 0
04:10:03 stat("/home/mvo", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
04:10:03 write(14, "\33[H\33[J", 6)     = 6
04:10:03 --- SIGIO {si_signo=SIGIO, si_code=SI_KERNEL} ---
04:10:03 rt_sigreturn()                 = 6
04:10:03 ioctl(14, FIONREAD, [0])       = 0
04:10:03 ioctl(7, FIONREAD, [0])        = 0
04:10:03 write(14, "\33[25;1H\33[?25lWhen done with this"..., 75) = 75
04:10:03 --- SIGIO {si_signo=SIGIO, si_code=SI_TKILL, si_pid=18845, si_uid=1000} ---
04:10:03 rt_sigreturn()                 = 4611686018528051200
04:10:03 ioctl(14, FIONREAD, [0])       = 0
04:10:03 ioctl(7, FIONREAD, [0])        = 0
04:10:03 ioctl(14, FIONREAD, [0])       = 0
04:10:03 ioctl(7, FIONREAD, [0])        = 0
04:10:03 pselect6(15, [4 5 6 7 8 13 14], [], NULL, {100000, 0}, {NULL, 8}) = 1 (in [14], left {99996, 327603809})
04:10:06 ioctl(14, FIONREAD, [15746688]) = -1 EIO (Input/output error)
04:10:06 write(14, "\33[25;1H\33[K", 10) = -1 EIO (Input/output error)
04:10:06 write(14, "\33[?1l\33>\33[34h\33[?25h\33[?1049l\33[39;4"..., 35) = -1 EIO (Input/output error)
04:10:06 fdatasync(14)                  = -1 EINVAL (Invalid argument)
04:10:06 fcntl(14, F_SETFL, O_RDWR|O_LARGEFILE) = 0
04:10:06 fcntl(14, F_SETOWN, 0)         = 0
04:10:06 fcntl(14, F_GETFL)             = 0x8002 (flags O_RDWR|O_LARGEFILE)
04:10:06 fcntl(14, F_SETFL, O_RDWR|O_LARGEFILE) = 0
04:10:06 ioctl(14, SNDCTL_TMR_STOP or SNDRV_TIMER_IOCTL_GINFO or TCSETSW, {B38400 opost isig icanon echo ...}) = -1 EIO (Input/output error)
04:10:06 close(14)                      = 0
04:10:06 ioctl(7, FIONREAD, [0])        = 0
04:10:06 pselect6(14, [4 5 6 7 8 13], [], NULL, {100000, 0}, {NULL, 8}) = 1 (in [13], left {99999, 999991184})
04:10:06 read(13, "", 4096)             = 0
04:10:06 close(13)                      = 0
04:10:06 pselect6(14, [5 6 7], NULL, NULL, {0, 0}, {NULL, 8}) = 0 (Timeout)
04:10:06 ioctl(7, FIONREAD, [0])        = 0
04:10:06 pselect6(14, [4 5 6 7 8], [], NULL, {100000, 0}, {NULL, 8}) = 1 (in [7], left {99997, 207503468})
04:10:09 --- SIGIO {si_signo=SIGIO, si_code=SI_KERNEL} ---
04:10:09 rt_sigreturn()                 = 1
04:10:09 ioctl(7, FIONREAD, [1])        = 0
04:10:09 read(7, "\16", 1)              = 1
04:10:09 ioctl(7, FIONREAD, [0])        = 0
04:10:09 ioctl(7, FIONREAD, [0])        = 0
04:10:09 rt_sigaction(SIGABRT, {SIG_DFL, [ABRT], SA_RESTORER|SA_RESTART, 0x7f24323773e0}, {0x4f3300, ~[KILL STOP RTMIN RT_1], SA_RESTORER, 0x7f24326fb870}, 8) = 0
04:10:09 getpgrp()                      = 18845
04:10:09 ioctl(0, TIOCGPGRP, [32548])   = -1 ENOTTY (Inappropriate ioctl for device)
04:10:09 close(6)                       = 0
04:10:09 close(5)                       = 0
04:10:09 open("/home/mvo/.emacs.d/auto-save-list/.saves-18845-holos.localdomain~", O_WRONLY|O_CREAT|O_TRUNC|O_CLOEXEC, 0666) = 5
04:10:09 fcntl(5, F_GETFL)              = 0x8001 (flags O_WRONLY|O_LARGEFILE)
04:10:09 fstat(5, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
04:10:09 mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f24291d7000
04:10:09 lseek(5, 0, SEEK_CUR)          = 0
04:10:09 close(5)                       = 0
04:10:09 munmap(0x7f24291d7000, 4096)   = 0
04:10:09 rt_sigprocmask(SIG_BLOCK, [WINCH IO], NULL, 8) = 0
04:10:09 rt_sigaction(SIGIO, {SIG_IGN, [IO], SA_RESTORER|SA_RESTART, 0x7f24323773e0}, {0x4dd260, [INT QUIT ALRM CHLD PROF WINCH IO], SA_RESTORER, 0x7f24326fb870}, 8) = 0
04:10:09 futex(0x7f24326ea1b0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
04:10:09 futex(0x7f242fa123f0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
04:10:09 write(2, "\nBacktrace:\n", 12) = 12
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4f41eb", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4dae5e", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4f4243", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4a47ef", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4a5b15", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4a87e8", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"460a3c", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b6fb", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"57f63d", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b1af", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b51b", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"57f63d", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b1af", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b51b", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54cb87", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"5476a3", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b6eb", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"57f63d", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b51b", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"54b84a", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4e902d", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"549b4e", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4db2ee", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"549a5b", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4df867", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"4dfb52", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"413c55", 6}, {"]\n", 2}], 4) = 16
04:10:09 writev(2, [{"/usr/lib/libc.so.6", 18}, {"(", 1}, {"__libc_start_main", 17}, {"+0x", 3}, {"f5", 2}, {")", 1}, {"[0x", 3}, {"7f2432363b05", 12}, {"]\n", 2}], 9) = 59
04:10:09 writev(2, [{"emacs", 5}, {"[0x", 3}, {"414713", 6}, {"]\n", 2}], 4) = 16
04:10:09 rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
04:10:09 tgkill(18845, 18845, SIGABRT)  = 0
04:10:09 --- SIGABRT {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=18845, si_uid=1000} ---
04:10:09 +++ killed by SIGABRT +++




In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2014-01-17 on holos
Repository revision: 
Configured using:
 `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=lucid --with-xft
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector
 --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC x r e p o TAB r t TAB RET

Recent messages:
("emacs")
Starting Emacs daemon.
Loading term/xterm...done
When done with this frame, type C-x 5 0
Making completion list...
delete-backward-char: Text is read-only [4 times]

Load-path shadows:
/usr/share/emacs/site-lisp/timeclock hides /usr/share/emacs/24.3.50/lisp/calendar/timeclock

Features:
(shadow sort gnus-util mail-extr emacsbug message idna format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils help-mode easymenu xterm server
windmove edmacro kmacro cl-loaddefs cl-lib time-date paren zenburn-theme
tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty emacs)




Acknowledgement sent to Mark Oteiza <mvoteiza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16479; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.